#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  frei0r-3.1.1

- Next

  gstreamer-1.28.2

- Up
- Home

# gavl-1.4.0

## Introduction to Gavl

Gavl is short for Gmerlin Audio Video Library. It is a low level library that handles the details of audio and video formats like colorspaces, samplerates, multichannel configurations etc. It provides standardized definitions for those formats as well as container structures for carrying audio samples or video images inside an application.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/gmerlin/gavl-1.4.0.tar.gz

- Download MD5 sum: 2752013a817fbc43ddf13552215ec2c0

- Download size: 4.4 MB

- Estimated disk space required: 50 MB

- Estimated build time: 0.8 SBU

### Gavl Dependencies

#### Required

libpng-1.6.58

#### Optional

Doxygen-1.17.0

## Installation of Gavl

First, fix an issue with gcc-14 and later:

    sed -i "/stdio/a #include <string.h>" src/fill_test.c

Now, install Gavl by running the following commands:

    LIBS=-lm                         \
    ./configure --prefix=/usr        \
                --without-doxygen    \
                --with-cpuflags=none \
                --docdir=/usr/share/doc/gavl-1.4.0 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`LIBS=-lm`: This variable ensures the math library is searched when linking.

`--without-doxygen`: This switch disables use of Doxygen. Omit if Doxygen is installed and you wish to build the API documentation.

`--with-cpuflags=none`: This switch fixes a problem identifying capabilities of the system architecture.

## Contents

Installed Program: None
Installed Libraries: libgavl.so
Installed Directories: /usr/include/gavl and /usr/share/doc/gavl-1.4.0

### Short Descriptions

`libgavl.so` | is the Gmerlin Audio Video Library

- Prev

  frei0r-3.1.1

- Next

  gstreamer-1.28.2

- Up
- Home